import {defHttp} from '@/utils/http/axios';
import {BasicPageParams} from "@/api/model/baseModel";

type CluesListParams = Partial<BasicPageParams>;

enum Api {
  DEMO_LIST = '/crm/clues/table',
}

/**
 * @description: Get sample list value
 */

export const cluesListApi = (params:CluesListParams) => {
  params.pageNo = params.page;
  Logger.info('cluesListApi', params);
  return defHttp.get({
    url: Api.DEMO_LIST,
    params,
    headers: {
      // @ts-ignore
      ignoreCancelToken: true,
    },
  });
}



